<template lang="pug">
	#inicio
		.enlaces
			<NuxtLink to="/creator">Nueva Plantilla</NuxtLink>

		.container
			h5 Plantillas Actuales
			ul
				li(v-for="item in lista", :key="item.nombre")
					NuxtLink(:to="'/usuario/' + item.id")
						img(:src="item.previo")
					//- nuxtLink(:to="'/creator/' + item.id") Editar

</template>

<script>
import Editor from "@/components/Editor";
import Visor from "@/components/Visor";
import Control from "@/components/Control";
import Propiedades from "@/components/Propiedades";
import Herramientas from "@/components/Herramientas";
import Operaciones from "@/components/Operaciones";

import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	data: () =>({
		lista: [],
	}),
	async mounted(){

		const datos = await this.$axios.$get("https://remaxdesignperu.com/system/patrones/listar")
		this.lista = datos.lista

			// .then(function (response) {
			// 	console.log(response.lista)
			// 	console.log(this)
			// 	this.lista = response.lista
			// })
			// .catch(function (error) {
			// 	console.log(error);
			// });
	}
}
</script>

<style lang="stylus">
#inicio
	.enlaces
		max-width 640px
		margin 1rem auto
		background-color silver

		a
			display inline-block
			padding .5em 1rem
			background-color dimgray
			color white

	.container
		max-width 640px
		margin 1rem auto
		background-color dimgray
		padding 1rem
		color white

		h5
			margin-bottom  1rem
			color white

		ul
			display block

		li
			display flex
			justify-content space-between
			align-items center

			span
				padding .5em 1rem

		a
			display inline-block
			padding .5em 1rem
			background-color gray


</style>
